----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    23:03:33 06/25/2006 
-- Design Name: 
-- Module Name:    top - IMP 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity top is
    Port ( 
        nCODE : in STD_LOGIC_VECTOR(0 to 3);
        SEG : out  STD_LOGIC_VECTOR(0 to 7);
        nSEL : out STD_LOGIC_VECTOR(0 to 2)
    );
end top;

architecture IMP of top is

    signal code : STD_LOGIC_VECTOR(0 to 3);
    signal sel : STD_LOGIC_VECTOR(0 to 2);

    component seg7_decoder 
        Port ( 
            SEG : out  STD_LOGIC_VECTOR(0 to 7);
            seg_data : in  STD_LOGIC_VECTOR(0 to 3)
        );
    end component;

begin
    seg7_decoder_0 : seg7_decoder
        Port map(
            SEG => SEG,
            seg_data => code
        );
 		sel <= "001";
    nSEL <= not sel;
    code <= not nCODE;
    
end IMP;

